DZN(LTS)

NAME
dzn lts - manual page for dzn lts 2.20.0

SYNOPSIS
dzn lts [OPTION]... [FILE]...

DESCRIPTION
Navigate and query an LTS from FILE in Aldebaran (AUT) format.

-c, --cleanup
    rewrite makreel labels to dezyne, optionlly remove PREFIX

-d, --deadlock
    detect deadlock in LTS (after failures introduction)

--exclude-illegal
    remove edges leading to illegal (in combination with option --failures)

-f, --failures
    introduce a failure for each 'optional' event

-h, --help
    display this help and exit

-I, --import=DIR+
    add DIR to import path

-i, --illegal
    detect whether LTS contains <illegal> labels

--i/o-lts
    prefix each label with in or out

-l, --livelock
    detect tau-loops in LTS

-m, --model=MODEL
    generate main for MODEL

-n, --deterministic-labels=LABEL[,LABEL...]
    assert determinism by detecting multiple edges of LABEL from a single state

--prefix PREFIX
    optional PREFIX for --cleanup

-t, --tau=EVENT[,EVENT...]
    hide all EVENTs

--exclude-tau=EVENT[,EVENT...]
    exclude given EVENTs from '--tau' list

-s, --single-line
    report an error including trace on a single line

--tags
    report all tags found in lts

SEE ALSO
The full documentation for dzn lts is maintained as a Texinfo manual. If the info and dzn lts programs are properly installed at your site, the command

    info dzn lts

should give you access to the complete manual.